#
# Cookbook:: pf_chef_app_ifpxml
# Spec:: mgmt_dev
#
# Copyright:: 2019, PubFactory, All Rights Reserved.

require 'spec_helper'

describe 'pf_chef_app_ifpxml::mgmt_dev' do
  context 'When all attributes are default, on Ubuntu 16.04' do
    platform 'ubuntu', '16.04'
    default_attributes['github_token'] = 'TEST'
    it { expect { chef_run }.to_not raise_error }
    it { is_expected.to create_pubfactory_mgmt('ifpxml-mgmt-dev').with(http_port: 10309, https_port: 10310, newrelic_app_name: 'IFPXML Loader Dev') }
    it { is_expected.to create_remote_file('/var/lib/ifpxml-mgmt-dev/shared/classes/admin.properties') }
    it { is_expected.to create_directory('/proj/source/ifpxml-dev') }
    it { is_expected.to create_directory('/proj/staticfiles/ifpxml-dev') }
    it { is_expected.to create_remote_file('/proj/source/ifpxml-dev/manifest.xml') }
    it { is_expected.to create_remote_file('/proj/source/ifpxml-dev/content-export.xml') }
  end
end
