#
# Cookbook:: pf_chef_app_ifpxml
# Spec:: web_dev
#
# Copyright:: 2019, PubFactory, All Rights Reserved.

require 'spec_helper'

describe 'pf_chef_app_ifpxml::web_dev' do
  context 'When all attributes are default, on Ubuntu 16.04' do
    platform 'ubuntu', '16.04'
    default_attributes['github_token'] = 'TEST'
    it { expect { chef_run }.to_not raise_error }
    it { is_expected.to create_pubfactory_web('ifpxml-web-dev').with(http_port: 10311, https_port: 10312, newrelic_app_name: 'IFPXML Web Dev') }
    it { is_expected.to create_remote_file('/var/lib/ifpxml-web-dev/shared/classes/config-app.properties') }
    it { is_expected.to create_remote_file('/var/lib/ifpxml-web-dev/shared/classes/log4j.properties') }
    it { is_expected.to create_directory('/proj/staticfiles/ifpxml-dev') }
    it { is_expected.to create_link('/var/lib/ifpxml-web-dev/webapps/staticfiles').with(to: '/proj/staticfiles/ifpxml-dev') }
    it { is_expected.to create_directory('/var/lib/ifpxml-web-dev/.sass-cache') }
    it { is_expected.to create_directory('/var/lib/ifpxml-web-dev/null') }
  end
end
